| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# PropertyCallbackMemberFunctor< T > Class Template Reference

`#include <PropertyCallbackFunctor.h>`

Inheritance diagram for PropertyCallbackMemberFunctor< T >:

[legend]
Collaboration diagram for PropertyCallbackMemberFunctor< T >:

[legend]
List of all members.

## Detailed Description

### template<class T>
class PropertyCallbackMemberFunctor< T >

Definition at line 110 of file PropertyCallbackFunctor.h.

## Public Types
typedef void(T::*) | PtrToCallbackMember (Property &)
## Public Member Functions
| PropertyCallbackMemberFunctor (PtrToCallbackMember pCM, T *instance)
virtual void | operator() (Property &prop) const
virtual PropertyCallbackMemberFunctor * | clone () const
## Private Attributes
PtrToCallbackMember | m_pCM
T * | m_instance

## Member Typedef Documentation

template<class T>

typedef void( T::* ) PropertyCallbackMemberFunctor< T >::PtrToCallbackMember(Property &)

Definition at line 120 of file PropertyCallbackFunctor.h.

## Constructor & Destructor Documentation

template<class T>

PropertyCallbackMemberFunctor< T >::PropertyCallbackMemberFunctor | ( | PtrToCallbackMember | pCM,
|  | T * | instance |
| ) |  |  | `[inline, explicit]`

Definition at line 130 of file PropertyCallbackFunctor.h.

Referenced by PropertyCallbackMemberFunctor< T >::clone().

    00131     : m_pCM( pCM ), m_instance( instance ) { }

## Member Function Documentation

template<class T>

virtual void PropertyCallbackMemberFunctor< T >::operator() | ( | Property & | prop | ) | const`[inline, virtual]`

Implements PropertyCallbackFunctor.

Definition at line 135 of file PropertyCallbackFunctor.h.

References PropertyCallbackMemberFunctor< T >::m_instance, and PropertyCallbackMemberFunctor< T >::m_pCM.

    00136   { ( m_instance->*m_pCM )( prop ); }

template<class T>

virtual PropertyCallbackMemberFunctor* PropertyCallbackMemberFunctor< T >::clone | ( |  | ) | const`[inline, virtual]`

Implements PropertyCallbackFunctor.

Definition at line 138 of file PropertyCallbackFunctor.h.

References PropertyCallbackMemberFunctor< T >::PropertyCallbackMemberFunctor().

    00139   { return new PropertyCallbackMemberFunctor(*this); }

## Member Data Documentation

template<class T>

PtrToCallbackMember PropertyCallbackMemberFunctor< T >::m_pCM`[private]`

Definition at line 145 of file PropertyCallbackFunctor.h.

Referenced by PropertyCallbackMemberFunctor< T >::operator()().

template<class T>

T* PropertyCallbackMemberFunctor< T >::m_instance`[private]`

Definition at line 146 of file PropertyCallbackFunctor.h.

Referenced by PropertyCallbackMemberFunctor< T >::operator()().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/PropertyCallbackFunctor.h